### ASUS x205TA



###### General Installation procedure (standard install on EFI):
  1. Use conection `wpa_supplicant`
     `wpa_supplicant -B -i <name-device> -c <(wpa_passphrase "ssid" "psk")`
  2. Start ssh `# rc-service sshd start`
  3. Connect to machine via SSH
  4. Visit https://www.hyperbola.info/mirrorlist/ on another computer, generate mirrorlist
  5. Edit /etc/pacman.d/mirrorlist on the Hyperbola computer and paste the faster servers
  6. Update package indexes: `# pacman -Syyy`
  7. Create efi partition:

       `# fdisk /dev/mmcblk1`

          * g (to create an empty GPT partition table)
          * n
          * 1
          * enter
          * +300M
          * t
          * 1 (For EFI)
          * w

  8. Create root partition:

      `# fdisk /dev/mmcblk1`

         * n
         * 2
         * enter
         * +30G
         * w

  9. Create home partition:

       `# fdisk /dev/mmcblk1`

          * n
          * 3
          * enter
          * enter
          * w

  10. `# mkfs.fat -F32 /dev/mmcblk1p1`
  11. Format devices
      `# mkfs.ext4 /dev/mmcblk1p2`
      `# mkfs.ext4 /dev/mmcblk1p3`

  12. Make Home directory
      `# mkdir /mnt/home`

  13. `# mount /dev/mmcblk1p2 /mnt`
      `# mount /dev/mmcblk1p3 /mnt/home`

  14. `# pacstrap -i /mnt base base-devel grub-bios networkmanager xf86-input-synaptics kernel-firmware`
  15. `# genfstab -U -p /mnt >> /mnt/etc/fstab`
  16. `# arch-chroot /mnt`
  17. `# pacman -S base-devel grub efibootmgr dosfstools openssh os-prober mtools linux-libre-lts-api-headers linux-libre-lts`
  18. `# nano /etc/locale.gen` (uncomment es_ES.UTF-8)
  19. `# locale-gen`
  20. Enable `root` logon via `ssh`
  21. `# rc-update add sshd default`
  22. `# passwd` (for setting root password)

  23. Build EFI (before `arch-chroot /mnt`)
      `# mkdir /boot/efi`
      `# mount /dev/mmcblk1p1 /boot/efi`
      `# mkdir /boot/efi/EFI/BOOT`
      `# cp -v /boot/efi/EFI/GRUB/grubx64.efi /boot/efi/EFI/BOOT/BOOTX64.EFI`

  24.  `nano -w /boot/efi/startup.nsh`

        ```bash
        bcf boot add 1 fs0:\EFI\GRUB\grubx64.efi "Hyper GRUB bootloader"
        ```

  25. `# grub-install --target=x86_64-efi  --bootloader-id=GRUB --recheck --efi-directory=/boot/efi`

  26. `# cp /usr/share/locale/es/LC_MESSAGES/grub.mo /boot/grub/locale/es.mo`
  27. `# grub-mkconfig -o /boot/grub/grub.cfg`

  28.  Build botia32.efi (necessary in ASUSx205TA)
      `# grub-mkstandalone -d /usr/lib/grub/i386-efi/ -O i386-efi --modules="part_gpt part_msdos" --fonts="unicode" --locales="uk" --themes="" -o "/boot/efi/EFI/GRUB/bootia32.efi" "boot/grub/grub.cfg=/boot/grub/grub.cfg" -v`
      `# cp -v /boot/efi/EFI/GRUB/bootia32.efi /boot/efi/EFI/BOOT/BOOTIA32.EFI`

  29. Create swap file:
        * `# fallocate -l 2G /swapfile`
        * `# chmod 600 /swapfile`
        * `# mkswap /swapfile`
        * `# echo '/swapfile none swap sw 0 0' | tee -a /etc/fstab`

  30. `$ exit`
  31. `# umount -a`
  32. `# reboot`
